{% extends "base.html" %}
{% load widget_tweaks %}

{% block title %}Password reset{% endblock %}

{% block nav %}
  {% include "parts/nav.html" %}
{% endblock %}

{% block jumbotron %}
  <h1>Authentication</h1>
  <p>Password reset</p>
{% endblock %}

{% block content %}

  <h3>Password reset request</h3>

  <p>Forgotten your password? Enter your email address below, and we'll email instructions for setting a new one.</p>

  {% with WIDGET_ERROR_CLASS="is-invalid" %}
  <form method="post">
    {% csrf_token %}
    <div class="form-group row">
      <label class="col-sm-3 col-form-label">Email:</label>
      <div class="col-sm-5">
        {% render_field form.email class="control-form" %}
        {%if form.old_password.errors%}
          {%for error in form.old_password.errors%}
            <div class="invalid-feedback">{{ error }}</div>
          {%endfor%}
        {%endif%}
      </div>
    </div>
    <button type="submit" class="btn btn-success">Reset my password</button>
  </form>
  {%endwith%}
{% endblock %}
